We are moving to a new platform to serve you better! Stay tuned and watch out for our email on your inbox! [close]
Start a new topic
Solved

Firefox extension JPM signing error: Could not detect this XPI's ID and/or version

The issue


Since the release of JPM 1.0.6, there seems to be a PR release fix that prevents the signing of add-on extensions that were developed without Firefox's SDK. The Firefox extensions that we currently generate in the Temasys Console use Firefox's SDK API which resulted in a JPM signing error. 

1 Comment

Resolution

To resolve this, simply install and sign using JPM 1.0.5 instead of 1.0.6.

  

npm install jpm@1.0.5 --global
jpm sign --api-key user:xxxxxxxx:xxx --api-secret xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx --xpi skylink_screensharing-1.0.0-fx.xpi

  

Login or Signup to post a comment